# Common  Problems

While working with istio there are a few problems that can be encountered ranging from TLS configuration mistakes to routing rules not affecting traffic flow and a host of other issues. 

Some of the common issies are documented below:

* [Traffic Management Problems](https://istio.io/latest/docs/ops/common-problems/network-issues/)
* [Security Problems](https://istio.io/latest/docs/ops/common-problems/security-issues/)
* [Sidecar injection problems](https://istio.io/latest/docs/ops/common-problems/injection/)
* [Configuration Validation problems](https://istio.io/latest/docs/ops/common-problems/validation/)

In addition to the common problems , the istio documentation provides a [diagnostics tool](https://istio.io/latest/docs/ops/diagnostic-tools/) page, which provides various command line tools and techniques for debugging your istio mesh. 

The following are also some additional external  links that can help in debugging.

# Additional links 

* [Istio Debugging](https://www.youtube.com/watch?v=QLuQB_JdzvU)
* [Debugging Istio within the Department of Defense](https://www.youtube.com/watch?v=bZO9iRW-V74)
* [How to debug your Istio networking configuration](https://www.tetrate.io/blog/debugging-your-istio-networking-configuration/)
* [What to do when your service mesh goes down in production](https://www.youtube.com/watch?v=XAKY24b7XjQ)
